
Foreman - Bug #15867

Changing puppet environment on the hostgroup page shows all puppet classes

07/27/2016 12:13 PM - David Davis

Status: New   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Steps to reproduce:

1. Create and publish two content views (View1 and View2) with two different sets of puppet modules

2. Create a Hostgroup and set it to one of the view's environments

3. Edit your Hostgroup and go to the Puppet Classes tab. Observe your view's puppet modules

4. Go back to Host Group tab and hit "Reset Puppet Environment to match selected Content View"

5. See the puppet classes and observe all puppet modules from BOTH content views

The problem is that we're not sending in hostgroup_id or environment_id so it creates a hostgroup without an environment here:

History

#1 - 07/27/2016 12:20 PM - David Davis

I think this should work with foreman only (no Katello):

1. Create two puppet environments with two different sets of puppet modules

2. Create a Hostgroup and set it to one of the environments

3. Edit your Hostgroup and go to the Puppet Classes tab. Observe your environment's puppet modules

4. Go back to Host Group tab and change the environment

5. See the puppet classes and observe all puppet modules from BOTH environments

#2 - 07/27/2016 12:22 PM - David Davis

- Project changed from Katello to Foreman

- Subject changed from Hitting "Reset Puppet Environment to match selected Content View" on the hostgroup page shows different set of puppet

classes even if env is unchanged to Changing puppet environment on the hostgroup page shows all puppet classes

#3 - 07/27/2016 12:24 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to David Davis

- Pull request https://github.com/theforeman/foreman/pull/3680 added

#4 - 02/23/2017 03:32 AM - Dominic Cleal

- Category set to Puppet integration

- Status changed from Ready For Testing to New

- Assignee deleted (David Davis)

- Pull request deleted (https://github.com/theforeman/foreman/pull/3680)
